// ---=== Sky ===--
// q3map_sunExt <red> <green> <blue> <intensity> <degrees> <elevation> <deviance> <samples>
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// deviance: The number of degrees for the half-shadow. General values up to 2 or 3 are acceptable. 
// The real sun has a solid angle of about half a degree.
// samples: the number of random jitters distributed over the solid arc (~16).
// this sky must be compiled with Q3Map2 2.5.11 or later using -skyfix

textures/ut4_katskills/ks_sky
{
	qer_editorimage env/ut4_katskills/arcsky2_bk.tga
	skyparms env/ut4_katskills/arcsky2 512 -
	q3map_sunEXT 1 1 1 60 0 90 1 16
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 60 3
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_backsplash 0 0
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	nopicmip
	nomipmaps
}

// ---=== Ladderclip ===---

textures/ut4_katskills/ks_ladderclip
{
	qer_editorimage textures/kittywumpus/kw_ladder.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

// ---=== kittywumpus ===---

textures/ut4_katskills/ks_kitty1
{
	qer_editorimage textures/ut4_katskills/kittywumpus1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		map textures/ut4_katskills/kittywumpus1.tga
		blendFunc blend
	}
}

// ---=== Glass ===---

textures/ut4_katskills/ks_glass_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	cull none

	{
		map textures/ut4_katskills/glass3.tga
		blendFunc add
		tcGen environment
	}
	{
		map textures/ut4_katskills/cloudref5.jpg
		blendfunc add
		tcMod scale 2 2
		tcGen environment
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

// ---=== No Damage ===---

textures/ut4_katskills/kw_warncrete1:q3map
{
	surfaceparm nodamage
}

// ---=== Slick ===---

// ---=== fog/clouds ===---

textures/ut4_katskills/ks__fog2
{
	qer_editorimage textures/kittywumpus/lw_fogcaulk.jpg
	qer_trans 0.7
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	fogparms ( 0.5 0.5 0.7 ) 8192
	q3map_bouncescale 0
}

// ---=== Holopanels ===---

textures/ut4_katskills/ks_holop1_b
{
	qer_editorimage textures/ut4_katskills/holopanel1/holopanel_b1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
//	deformVertexes autosprite2

	{
		animMap 12 textures/ut4_katskills/holopanel1/holopanel_b1.jpg textures/ut4_katskills/holopanel1/holopanel_b1.jpg textures/ut4_katskills/holopanel1/holopanel_b1.jpg textures/ut4_katskills/holopanel1/holopanel_b2.jpg textures/ut4_katskills/holopanel1/holopanel_b1.jpg textures/ut4_katskills/holopanel1/holopanel_b3.jpg textures/ut4_katskills/holopanel1/holopanel_b1.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_katskills/ks_holop1_r
{
	qer_editorimage textures/ut4_katskills/holopanel1/holopanel_r1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
//	deformVertexes autosprite2

	{
		animMap 12 textures/ut4_katskills/holopanel1/holopanel_r1.jpg textures/ut4_katskills/holopanel1/holopanel_r1.jpg textures/ut4_katskills/holopanel1/holopanel_r1.jpg textures/ut4_katskills/holopanel1/holopanel_r2.jpg textures/ut4_katskills/holopanel1/holopanel_r1.jpg textures/ut4_katskills/holopanel1/holopanel_r3.jpg textures/ut4_katskills/holopanel1/holopanel_r1.jpg
		blendFunc GL_ONE GL_ONE
	}
}

// ---=== Building Numbers ===---

textures/ut4_katskills/ks_b1
{
	qer_editorimage textures/ut4_katskills/num1.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	cull none
	{
		map textures/ut4_katskills/num1.tga
		blendFunc blend
	}
}

textures/ut4_katskills/ks_b2
{
	qer_editorimage textures/ut4_katskills/num2.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	cull none
	{
		map textures/ut4_katskills/num2.tga
		blendFunc blend
	}
}

textures/ut4_katskills/ks_b3
{
	qer_editorimage textures/ut4_katskills/num3.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	cull none
	{
		map textures/ut4_katskills/num3.tga
		blendFunc blend
	}
}

textures/ut4_katskills/ks_b4
{
	qer_editorimage textures/ut4_katskills/num4.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	cull none
	{
		map textures/ut4_katskills/num4.tga
		blendFunc blend
	}
}

// ---=== Light Emitting Textures ===---

textures/ut4_katskills/e5_panel128light
{
	qer_editorimage textures/ut4_katskills/e5_panel128light.tga
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm nonsolid
	{
		map textures/ut4_katskills/e5_panel128light.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/ut4_katskills/e5_panel128light_blend.tga
		blendfunc add
	}
}

textures/ut4_katskills/e6basicstrip_blue
{
	qer_editorimage textures/ut4_katskills/e6basicstrip_blue.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_katskills/e6basicstrip_blue.tga
	}
}

textures/ut4_katskills/e6basicstrip_green
{
	qer_editorimage textures/ut4_katskills/e6basicstrip_green.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_katskills/e6basicstrip_green.tga
	}
}

textures/ut4_katskills/e6basicstrip_orange
{
	qer_editorimage textures/ut4_katskills/e6basicstrip_orange.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_katskills/e6basicstrip_orange.tga
	}
}

textures/ut4_katskills/e6basicstrip_purple
{
	qer_editorimage textures/ut4_katskills/e6basicstrip_purple.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_katskills/e6basicstrip_purple.tga
	}
}

textures/ut4_katskills/e6basicstrip_red
{
	qer_editorimage textures/ut4_katskills/e6basicstrip_red.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_katskills/e6basicstrip_red.tga
	}
}

textures/ut4_katskills/e6basicstrip_white
{
	qer_editorimage textures/ut4_katskills/e6basicstrip_white.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_katskills/e6basicstrip_white.tga
	}
}

textures/ut4_katskills/e6basicstrip_yellow
{
	qer_editorimage textures/ut4_katskills/e6basicstrip_yellow.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_katskills/e6basicstrip_yellow.tga
	}
}

textures/ut4_katskills/e8warn2steplight
{
	qer_editorimage textures/ut4_katskills/e8warn2steplight.tga
	q3map_lightimage textures/ut4_katskills/e8warn2steplight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 50
	{
		map textures/ut4_katskills/e8warn2steplight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_katskills/e8warn2steplight.blend.tga
		blendfunc add
	}
}

textures/ut4_katskills/ks_kwbar2b
{
	qer_editorimage textures/ut4_katskills/kw_bar2_blue.jpg
	q3map_lightimage textures/ut4_katskills/kw_bar2_blendblue.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/ut4_katskills/kw_bar2_blue.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katskills/kw_bar2_blendblue.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_katskills/ks_kwbar2r
{
	qer_editorimage textures/ut4_katskills/kw_bar2_red.jpg
	q3map_lightimage textures/ut4_katskills/kw_bar2_blendred.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/ut4_katskills/kw_bar2_red.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katskills/kw_bar2_blendred.tga
		blendfunc GL_ONE GL_ONE
	}
}


textures/ut4_katskills/light8_2
{
	qer_editorimage textures/ut4_katskills/light8_2.tga
	surfaceparm nomarks
	q3map_surfacelight 1000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_katskills/light8_2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katskills/light8_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_katskills/wall1_20_1k
{
	qer_editorimage textures/ut4_katskills/wall1_20.tga
	surfaceparm nomarks
	q3map_surfacelight 1000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_katskills/wall1_20.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katskills/wall1_20.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_katskills/wall1_20_1k_pulse
{
	qer_editorimage textures/ut4_katskills/wall1_20.tga
	surfaceparm nomarks
	q3map_surfacelight 1000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_katskills/wall1_20.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katskills/wall1_20.blend.tga
		rgbGen wave sin 0.2 0.8 1 1
		blendfunc GL_ONE GL_ONE
	}
}

// ---=== shiny ===---

